Try it: Here
| GET | /_c/std/api/CarrierEldFleetLocation.aspx | Retrieve the ELD details of the specified carrier's fleet by DOT number. |
|---|
API Summary
Purpose
The ELD Fleet Lookup API allows RMIS customers to fetch the current ELD status and fleet location of all trucks under a specified DOT number.
The API is easy to use and can be called with a web browser or automated with any system that can make HTTP requests.
Calling the ELD Fleet Location Lookup APIThe request is a GET request to the base URL:
https://api.rmissecure.com/_c/std/api/CarrierEldFleetLocationAPI.aspxThere is 1 URL parameters required with this request
- dotNumber - The carrier's DOT number (Must be registered with RMIS client)
Required headers:
This call uses basic authorization as the primary authenication method.
Basic base64 encoded your RMIS clientID:pwd
Example:
RMIS Client ID: 1234
Password: MyPass123!
1234:MyPass123! base64 encoded = MTIzNDpNeVBhc3MxMjMh
Resulting header:
Basic MTIzNDpNeVBhc3MxMjMhAccept: application/json if you would like the results in JSON
or
Accept: application/xml if you like the results in XML
The API always returns HTTP 200, even for failures
Use the Success field to determine request statuscurl --request GET \ --url 'https://api.rmissecure.com/_c/std/api/CarrierEldFleetLocationAPI.aspx?dotNumber=3992786' \ --header 'Accept: application/json' \ --header 'Authorization: Basic MTIzNDpNeVBhc3MxMjMh'{ "Data": [ { "id": 93524576042, "vehicleId": 2524165, "latitude": 35.90309, "longitude": -78.78886, "course": 0, "address": "", "dateTime": "2021-09-03T00:04:53+00:00", "vehicle": { "id": 2524165, "name": "R.Kurtz", "oem": "Demo", "model": "Demo", "modelYear": "2021", "vin": "", "licensePlateState": "US-FL", "licensePlateNumber": "RK123", "eldDeviceId": "", "totalMiles": 0 } }, { "id": 93524575927, "vehicleId": 2524210, "latitude": 45.484715, "longitude": -122.728935, "course": 0, "address": "", "dateTime": "2022-11-22T19:34:04+00:00", "speed": { "value": 158.4496, "unit": "mph" } } ], "Success": true, "Message": null }<?xml version="1.0"?> <DataResultOfListOfVehicleLocation> <Success> true </Success> <Data> <VehicleLocation> <Id> 93524576042 </Id> <VehicleId> 2524165 </VehicleId> <Latitude> 35.90309 </Latitude> <Longitude> -78.78886 </Longitude> <Course> 0 </Course> <Address/> <DateTime/> <Vehicle> <Id> 2524165 </Id> <Name> R.Kurtz </Name> <Oem> Demo </Oem> <Model> Demo </Model> <ModelYear> 2021 </ModelYear> <Vin/> <LicensePlateState> US-FL </LicensePlateState> <LicensePlateNumber> RK123 </LicensePlateNumber> <EldDeviceId/> <TotalMiles> 0 </TotalMiles> </Vehicle> </VehicleLocation> </Data> </DataResultOfListOfVehicleLocation>
Restrictions
- Carrier must be ELD enrolled
- Check this status by calling the Expandedcarrier API. See IsELDenrolled object under the carrier node
- Carrier must be attached/registered with the the RMIS client.
- If not attached see the result below.
Error Response examples{ "Data": null, "Success": false, "Message": "Carrier must be attached for fleet visibility"
Note:
Vehicle Location and Vehicle fields may not return data depending on each ELD Provider’s implementation.